commit:     03271b4b44f838754e7af1b70c62366c42f4d4d2
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Tue Nov 21 16:08:54 2017 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Tue Nov 21 16:08:54 2017 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=03271b4b

sci-biology/jellyfish: rename jellyfish to jellyfish1

This will facilitate simultaneous installs of jeelyfish2
and jellyfish, so that sci-biology/SEECER and sci-biology/quorum
could be installed at the same time (both calling "jellyfish"
but quorum needs version 2 and SEECER version 1.
See list of files at https://packages.debian.org/unstable/jellyfish1

Package-Manager: Portage-2.3.14, Repoman-2.3.6

 .../jellyfish/{jellyfish-1.1.11.ebuild => jellyfish-1.1.11-r1.ebuild} | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/sci-biology/jellyfish/jellyfish-1.1.11.ebuild 
b/sci-biology/jellyfish/jellyfish-1.1.11-r1.ebuild
similarity index 85%
rename from sci-biology/jellyfish/jellyfish-1.1.11.ebuild
rename to sci-biology/jellyfish/jellyfish-1.1.11-r1.ebuild
index 9134a98d4..923784ada 100644
--- a/sci-biology/jellyfish/jellyfish-1.1.11.ebuild
+++ b/sci-biology/jellyfish/jellyfish-1.1.11-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -34,6 +34,8 @@ src_prepare(){
 }
 
 src_install(){
+       # install the binary under jellyfish1 name like Debian/Ubuntu to avoid 
name clash with jellyfish2 and allow simultaneous installs
+       mv bin/jellyfish bin/jellyfish1 || die
        default
        sed -e "s#jellyfish-${PV}#jellyfish#" -i 
"${ED}/usr/$(get_libdir)"/pkgconfig/jellyfish-1.1.pc || die
        mkdir -p "${ED}/usr/include/${PN}" || die

Reply via email to